Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 05-02-03, 07:52 AM   #1
stevan
Registered User
 
Join Date: May 2003
Posts: 1
Default interlace mode

Hi,
My question is quite simple :
Does the GeForce Ti 4600 support interlace mode ?

If yes, which driver version is required ?

I ran several tests with lots of different modelines without any success.

Thank you,

Stevan.
stevan is offline   Reply With Quote
Old 05-02-03, 09:53 AM   #2
kow
Registered User
 
Join Date: Apr 2003
Posts: 20
Default

I know this doesn't answer your question, but it's some additional info.

The 4191 driver readme says:
"The NVIDIA Accelerated Linux Driver Set supports all standard VGA and VESA modes, as well as most user-written custom mode lines; double-scan modes are supported on all hardware, and interlaced modes are supported on:
GeForce 256
GeForce DDR
Quadro
GeForce2 GTS/GeForce2 Pro
GeForce2 Ti
GeForce2 Ultra
Quadro2 Pro
and all TNT products."

By the way, I've made a couple of posts asking about broken interlace mode support in the drivers, so if you get a card that has working interlace hardware support and you do a good modeline you can expect to get messed up video output.

To my knowledge, interlace is not working in any of the 4xxx drivers, and I have no idea about earlier. I would try 3xxx drivers but I've got issues with the version of gcc used to compile the non-open source nvidia-compiled object code.
kow is offline   Reply With Quote
Old 05-02-03, 11:29 AM   #3
bwkaz
Registered User
 
Join Date: Sep 2002
Posts: 2,262
Default

Quote:
Originally posted by kow
I would try 3xxx drivers but I've got issues with the version of gcc used to compile the non-open source nvidia-compiled object code.
I doubt that, actually. I used 3123 for quite a long time with gcc 3.2 (a long time because 4191 had issues with not finding the __divdi3 function on my setup, so I couldn't use any 4xxx version until 4349).

But 3123 works with both gcc 2.95 and 3.2. If your kernel was compiled with something different, then that will cause problems, but the fix is simple enough -- compile your kernel with your system compiler, then boot to it, then re-make the 3123 kernel package.
__________________
Registered Linux User #219692
bwkaz is offline   Reply With Quote
Old 05-02-03, 01:19 PM   #4
kow
Registered User
 
Join Date: Apr 2003
Posts: 20
Default

I hate to take attention away from Stevan's issue, but since you replied and I haven't heard back from the other Nvidia dude I emailed about this issue, I'll tell you how I came up with my theory (this is a portion of my email)...

I'm trying to install (3123) from the tar files because I kept getting a "gcc version that compiled driver doesn't match the version that compiled the Linux kernel". This message is from modprobe and not the Makefile. The version that compiled the kernel is 3.2. I quadruple checked that the Nvidia driver makefile was using the 3.2 gcc compiler, while "modprobe NVdriver" claimed gcc version 2.

Ignoring the problem:
Forcing modprobe to load the NVdriver was no good. Xserver start yielded a blank screen.

Crap, ignoring the problem didn't make it go away:
After looking closer at the makefile, I saw NVdriver was a byproduct of linking Linux_module and Module_nvkernel.

Linux_module: is created when compiling(with gcc v3.2) and
linking provided c files.
Module_nvkernel: is provided as is. I assume it is created from
the non-open source proprietary Nvidia files.

So this provided file is where my suspicion lies.
From command line, "readelf -a Module_nvkernel | grep gcc" dumps out a lot of lines with "gcc2_compile".

I'll admit maybe my theory isn't based on the strongest of evidence, but it's all I got. What do you think bwkaz?
kow is offline   Reply With Quote
Old 05-02-03, 05:23 PM   #5
bwkaz
Registered User
 
Join Date: Sep 2002
Posts: 2,262
Default

Yeah, I hate to hijack it too, but unfortunately I don't know what might be up with his issue...

Anyway, are you sure you're using 3123? Because when I run your command (or nm Module-nvkernel | grep gcc), I don't see any ".gcc2-compiled" symbols. At all...

Did you get your 3123 from here?

http://www.nvidia.com/view.asp?IO=li...splay_1.0-3123
__________________
Registered Linux User #219692
bwkaz is offline   Reply With Quote
Old 05-05-03, 08:18 AM   #6
kow
Registered User
 
Join Date: Apr 2003
Posts: 20
Default

It's monday, a new work day, so I just saw your latest post. I am sure that I got the 3123 tar file from the official Nvidia page you linked to. I will definately grab it again and see what happens. Thanks for checking your file out for me. It lets me know I'm not completely crazy on this one.
kow is offline   Reply With Quote
Old 05-07-03, 08:29 AM   #7
kow
Registered User
 
Join Date: Apr 2003
Posts: 20
Default

I'm reluctant to post this latest problem because I know it is documented in the README and I've seen others post about it on this board.

Now that I've re-downloaded the 3123 driver I cannot see any evidence suggesting that driver components were compiled with gcc v2xx. Having said that, I don't see anything that tells me the closed source Nvidia pieces are compiled with gcc v3.2, but I will assume it.

The open source Nvidia pieces are 3.2 compiled.
My Linux kernel is 3.2 compiled.

Xstart dies on "failed to allocate lut context dma".

On another note, I downloaded 2960 and "readelf" on the Module_nvkernel had a bunch of gcc2_compiled. Having this problem in 2960 seems more reasonable to me than in 3123.

I'll keep my expectations low for help on my "failed to allocate" error and I'll keep my fingers crossed for an interlace fix in the next driver release.
kow is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
320.17 can't detect video modes on Lenovo laptop tadawson NVIDIA Linux 13 07-14-12 01:40 AM
Very slow X startup Jeremy NVIDIA Linux 96 05-23-03 10:11 AM
Error messages... HELP!!!! Imperito NVIDIA Linux 3 09-24-02 10:46 PM
Nvidia GF4 MX 440 + Mandrake tomchristopher NVIDIA Linux 3 08-18-02 09:42 AM
nVidia drivers + Red Hat Linux 7.3 Error404 NVIDIA Linux 17 08-16-02 11:34 AM

All times are GMT -5. The time now is 07:24 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.